Subject: bug#12578: depcomp typo "informations"

From: Stefano Lattarini <[email-masked]>
Date: Sun, 14 Oct 2012 11:49:36 +0200

tags 12578 minor
close 12578
thanks

Hi Paul.  Thanks for the report, and sorry for the shameful delay.

On 10/05/2012 08:11 AM, Paul Eggert wrote:
> There is no word "informations" in English.
> I found this typo while spell-checking Emacs,
> and want to fix the bug upstream, in Automake.
> 
> diff --git a/lib/depcomp b/lib/depcomp
> index 0544c68..ee84bf2 100755
> --- a/lib/depcomp
> +++ b/lib/depcomp
> @@ -108,7 +108,7 @@ if test "$depmode" = msvc7msys; then
>  fi
>  
>  if test "$depmode" = xlc; then
> -   # IBM C/C++ Compilers xlc/xlC can output gcc-like dependency informations.
> +   # IBM C/C++ Compilers xlc/xlC can output gcc-like dependency information.
>     gccflag=-qmakedep=gcc,-MF
>     depmode=gcc
>  fi
>
I've applied this fix in your name.

However, for the future, might I ask you to provide complete patches, even
for trivial fixlets like this one?  That would make the workflow easier for
me.  Granted, not a big deal in this case, but little annoyances tend to
pile up in the long term, potentially becoming relevant in the end, so it's
better if we can avoid them up-front.

Thanks,
  Stefano